summaryrefslogtreecommitdiff
path: root/dev-python/pyte
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/pyte')
-rw-r--r--dev-python/pyte/Manifest1
-rw-r--r--dev-python/pyte/metadata.xml10
-rw-r--r--dev-python/pyte/pyte-0.8.2.ebuild35
3 files changed, 46 insertions, 0 deletions
diff --git a/dev-python/pyte/Manifest b/dev-python/pyte/Manifest
new file mode 100644
index 000000000000..e02f40ac84f1
--- /dev/null
+++ b/dev-python/pyte/Manifest
@@ -0,0 +1 @@
+DIST pyte-0.8.2.gh.tar.gz 94352 BLAKE2B 70b8e580b0fffee7c61dcf1b0538751584a405d2c46db6cedb3d6fe1b13a00a7b4c84495e49b0facb2644a22c4021ce6f1a4c91bb8016198e2c779ae0437157b SHA512 6b70f16062a6099fe9ef6f6bb789c18ffe7c0003c48877fd32b68a6cb8fd911e8688118663e7a1af60c5c3e04a55504a40953d2e5814376872ce1afcc64e0bb8
diff --git a/dev-python/pyte/metadata.xml b/dev-python/pyte/metadata.xml
new file mode 100644
index 000000000000..5e95859f915a
--- /dev/null
+++ b/dev-python/pyte/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/pyte/pyte-0.8.2.ebuild b/dev-python/pyte/pyte-0.8.2.ebuild
new file mode 100644
index 000000000000..20462f7b2578
--- /dev/null
+++ b/dev-python/pyte/pyte-0.8.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Simple VTXXX-compatible terminal emulator"
+HOMEPAGE="
+ https://pypi.org/project/pyte/
+ https://github.com/selectel/pyte/
+"
+SRC_URI="
+ https://github.com/selectel/pyte/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="amd64 arm64 ~riscv x86"
+
+RDEPEND="
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # run pytest directly for tests
+ sed -i '/setup_requires/d' setup.py || die
+ distutils-r1_python_prepare_all
+}